@echo off
pushd %~d0%~p0

setlocal EnableDelayedExpansion

set "_READERNAME=READER"
set "_READERMODEL=PRS-T1/2007"

for /F "usebackq tokens=1" %%a in (`.\ebook_msc.exe name %_READERMODEL% getdrv`) do (
   if /I "%%a" NEQ "NONE" (
	  set "DRIVE=%%a"
	  goto :done_looking
   )
)

echo Reader [%_READERNAME%] not found
echo.
.\ebook_msc.exe listdrv
echo.
set /p DRIVE="Enter the letter of the Reader drive? "
if errorlevel 1 goto :failure

:done_looking

set "DRIVE=%DRIVE:~0,1%"
vol %DRIVE%:
if errorlevel 1 goto :failure

set /p "ANSWER=Continue? <Y/N> "

if /I "%ANSWER%" NEQ "Y" goto :failure

echo Backing Up Recovery Rootfs
.\ebook_msc.exe name %_READERMODEL% get /dev/block/mmcblk2p1 mmcblk2p1.img
if errorlevel 1 goto :failure

echo Flashing New Recovery Rootfs
.\ebook_msc.exe name %_READERMODEL% put mmcblk2p1.img.new /dev/block/mmcblk2p1
if errorlevel 1 goto :failure

echo Reading Back New Recovery Rootfs
.\ebook_msc.exe name %_READERMODEL% get /dev/block/mmcblk2p1 mmcblk2p1.img.x
if errorlevel 1 goto :failure

echo Backing Up Diagnostic Rootfs
.\ebook_msc.exe name %_READERMODEL% get /dev/block/mmcblk2p2 mmcblk2p2.img
if errorlevel 1 goto :failure

echo Flashing New Diagnostic Rootfs
.\ebook_msc.exe name %_READERMODEL% put mmcblk2p2.img.new /dev/block/mmcblk2p2
if errorlevel 1 goto :failure

echo Reading Back New Diagnostic Rootfs
.\ebook_msc.exe name %_READERMODEL% get /dev/block/mmcblk2p2 mmcblk2p2.img.x
if errorlevel 1 goto :failure

echo Checking Installed Modules
.\md5sum.exe -c images.md5
if errorlevel 1 echo Try this script again!

pause
popd 
goto :eof

:failure
echo Script did not complete
pause
popd 

